package TestingSystem.SAPFOR.SapforConfigurationCommand;
import Common.Constants;
import Common.Current;
import Common.Database.DBObject;
import Common.Database.riDBObject;
import Visual_DVM_2021.Passes.PassCode_2021;
import com.sun.org.glassfish.gmbal.Description;
public class SapforConfigurationCommand extends riDBObject {
    @Description("DEFAULT -1")
    public int sapforconfiguration_id = Constants.Nan;
    public PassCode_2021 passCode = PassCode_2021.SPF_RemoveDvmDirectives;
    @Override
    public boolean isVisible() {
        return Current.HasSapforConfiguration() && (Current.getSapforConfiguration().id == sapforconfiguration_id);
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        SapforConfigurationCommand c = (SapforConfigurationCommand) src;
        sapforconfiguration_id = c.sapforconfiguration_id;
        passCode = c.passCode;
    }
    public SapforConfigurationCommand() {
    }
    public SapforConfigurationCommand(SapforConfigurationCommand sapforConfigurationCommand) {
        this.SynchronizeFields(sapforConfigurationCommand);
    }
}
